/*
	MBMON.H

	Various definitions common to all components of MBMON


 COPYRIGHT NOTICE

 This software is COPYRIGHT (c) 2005, Ian Miller. ALL RIGHTS RESERVED.

 Released under licence described in freeware_readme.txt 

 DISCLAIMER

THIS PACKAGE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/

/* max number of mailboxes that can be monitored	*/
#define MBMON_MAX_UNIT	50

/* monitored mailbox table entry */
typedef struct mbmon
{
	unsigned long mb_unit1;		/* unit number of mailbox that is being monitored	*/
	unsigned long mb_unit2;		/* unit number of mailbox to get copies of messages	*/
	unsigned int epid;		/* pid of process		*/
	void *mb_ucb1;			/* UCB address mailbox that is being monitored		*/
	void *mb_ucb2;			/* UCB address mailbox to get copies of messages	*/
} MBMON_UNIT;

/* the vector table	*/
typedef struct 
{
	unsigned long version;		/* vector data structure version	*/
	unsigned long count;		/* number of items			*/
	MBMON_UNIT *mbmon;		/* the table address			*/
	unsigned long (*setup)();	/* setup routine			*/
	unsigned long (*add)();		/* add a mailbox	   		*/
	unsigned long (*remove)();	/* remove a mailbox	   		*/
} MBMON_VECTOR;

#define MBMON_VECTOR_VERSION 1
#define MBMON_VECTOR_COUNT 4
#define MBMON_EXECLET_NAME "MBMON_EXECLET"
