/*
	MBMON_LOADER	- load/unload the execlet 

 COPYRIGHT NOTICE

 This software is COPYRIGHT (c) 2005, Ian Miller. ALL RIGHTS RESERVED.

 Released under licence described in freeware_readme.txt 

 DISCLAIMER

THIS PACKAGE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#pragma module MBMON_LOADER	"V0.1"

#include <descrip>
#include <stdio>
#include <string>
#include <stdlib>
#include <psldef>

#include "mbmon.h"
#include "mbmon_prv.h"


int main(int argc, char *argv[])
{
	unsigned long ccode;

	if (argc != 2)
	{
		fprintf(stderr,"Usage: mbmon_loader load|unload\n");
		exit (0);
	}
	if (strcmp(argv[1],"load") == 0)
	{
		ccode = mbmon_load();
		if (ccode & 1)
			ccode = mbmon_setup();	/* setup for monitoring	*/
	}
	else if (strcmp(argv[1],"unload") == 0)
	{
		ccode = mbmon_unload();
	}
	return ccode;
}
